rubygem-oauth-0.4.4-4-rosa2014.1.noarch.rpm


Advertisement

Description

rubygem-oauth - OAuth Core Ruby implementation

Property Value
Distribution ROSA 2014.1
Repository ROSA Contrib x86_64
Package name rubygem-oauth
Package version 0.4.4
Package release 4-rosa2014.1
Package architecture noarch
Package type rpm
Installed size 83.05 KB
Download size 30.96 KB
Official Mirror mirror.rosalab.ru
This is a RubyGem for implementing both OAuth clients and servers in Ruby
applications.

Alternatives

Package Version Architecture Repository
rubygem-oauth-0.4.4-4-rosa2014.1.noarch.rpm 0.4.4 noarch ROSA Contrib
rubygem-oauth - - -

Requires

Name Value
ruby(abi) == 2.1.0
rubygems -

Provides

Name Value
rubygem(oauth) == 0.4.4
rubygem-oauth == 0.4.4-4:2014.1

Download

Type URL
Binary Package rubygem-oauth-0.4.4-4-rosa2014.1.noarch.rpm
Source Package rubygem-oauth-0.4.4-4.src.rpm

Install Howto

  1. Enable ROSA Contrib repository on Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install rubygem-oauth rpm package:
    # urpmi rubygem-oauth

Files

Path
/usr/bin/oauth
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/Gemfile
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/Gemfile.lock
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/LICENSE
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/Rakefile
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/bin/oauth
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/digest/hmac.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/cli.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/client.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/consumer.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/core_ext.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/errors.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/helper.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/oauth.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/oauth_test_helper.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/server.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/token.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/client/action_controller_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/client/em_http.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/client/helper.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/client/net_http.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/errors/error.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/errors/problem.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/errors/unauthorized.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/action_controller_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/base.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/curb_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/em_http_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/jabber_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/mock_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/net_http.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/rack_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/request_proxy/typhoeus_request.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/base.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/md5.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/plaintext.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/sha1.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/hmac/base.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/hmac/md5.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/hmac/rmd160.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/hmac/sha1.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/hmac/sha2.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/signature/rsa/sha1.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/tokens/access_token.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/tokens/consumer_token.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/tokens/request_token.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/tokens/server_token.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/lib/oauth/tokens/token.rb
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/tasks/deployment.rake
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/tasks/environment.rake
/usr/lib/ruby/gems/2.1.0/gems/oauth-0.4.4/tasks/website.rake
/usr/lib/ruby/gems/2.1.0/specifications/oauth-0.4.4.gemspec

Changelog

2014-07-25 - Denis Silakov <denis.silakov@rosalab.ru> 0.4.4-4
+ Revision: 2c6c0c4
- MassBuild#464: Increase release tag

See Also

Package Description
rubygem-oauth-doc-0.4.4-4-rosa2014.1.noarch.rpm Documentation for rubygem-oauth
rubygem-oauth2-1.0.0-1-rosa2014.1.noarch.rpm A Ruby wrapper for the OAuth 2.0 protocol
rubygem-oauth2-doc-1.0.0-1-rosa2014.1.noarch.rpm Documentation for rubygem-oauth2
rubygem-openssl-nonblock-0.2.1-4-rosa2014.1.x86_64.rpm Non-blocking support for Ruby OpenSSL
rubygem-openssl-nonblock-doc-0.2.1-4-rosa2014.1.noarch.rpm Documentation for rubygem-openssl-nonblock
rubygem-pam-1.5.3-3-rosa2014.1.x86_64.rpm Ruby bindings for pam
rubygem-pam-doc-1.5.3-3-rosa2014.1.noarch.rpm Documentation for rubygem-pam
rubygem-patron-0.4.18-4-rosa2014.1.x86_64.rpm Patron HTTP client
rubygem-pg-0.17.1-1-rosa2014.1.x86_64.rpm Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]
rubygem-pg-doc-0.17.1-1-rosa2014.1.noarch.rpm Documentation for rubygem-pg
rubygem-pickle-0.4.11-1-rosa2014.1.noarch.rpm Easy model creation and reference in your cucumber features
rubygem-pickle-doc-0.4.11-1-rosa2014.1.noarch.rpm Documentation for rubygem-pickle
rubygem-plist-3.0.0-4-rosa2014.1.noarch.rpm A ruby library to manipulate Property List files
rubygem-postgres-0.8.1-5-rosa2014.1.noarch.rpm Deprecated version of the Ruby PostgreSQL driver
rubygem-postgres-doc-0.8.1-5-rosa2014.1.noarch.rpm Documentation for rubygem-postgres
Advertisement
Advertisement